__author__ = 'hussmann'

import pygame
import math
from pygame.locals import *
from sys import exit

pygame.init()

red = pygame.color.Color("red")
white = pygame.color.Color("white")
scr_w = 640
scr_h = 480
scr = pygame.display.set_mode((scr_w, scr_h), 0, 32)

xstart = 40
# xend = 600 - not needed any more!
framerate = 30 #frames per second
speed = 210 #pixels per second
dx = speed/framerate

clock = pygame.time.Clock()
x = xstart
y = 240

while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            exit()

    if x+40 <= scr_w:
        pygame.draw.rect(scr, white, Rect((0, 0),(scr_w, scr_h)))
        pygame.draw.circle(scr, red, (round(x), y) ,40)
        x += dx

    timepassed_secs = clock.tick(framerate)/1000.0
    pygame.display.update()
