__author__ = 'hussmann'

import pygame
from pygame.locals import *

sc_w = 125 # screen width
sc_h = 125 # screen height
spr_w = 125
spr_h = 125

pygame.init()

# Create program display area
screen = pygame.display.set_mode([sc_w, sc_h])
pygame.display.set_caption("Sprite Sheet Animation")

class SheetSprite(pygame.sprite.Sprite):
    def __init__(self):
    	pygame.sprite.Sprite.__init__(self)
    	self.sheet = pygame.image.load('spritesheet.png').convert()
    	(self.sheet_w, self.sheet_h) = self.sheet.get_size()
    	print("size", self.sheet_w, self.sheet_h)
    	self.posX = 0
    	self.posY = 0
    	self.image = self.sheet.subsurface((self.posX,self.posY,spr_w,spr_h)).copy()
    	self.rect = self.image.get_rect()

    def update(self):
        print("posX = ",self.posX," posY = ",self.posY)
        nextImage = self.sheet.subsurface((self.posX,self.posY,spr_w,spr_h)).copy()
        self.image = nextImage
        self.posX += spr_w
        if self.posX >= self.sheet_w:
        	self.posX = 0
        	self.posY += spr_h
        if self.posY >= self.sheet_h:
        	self.posY = 0

sSprite = SheetSprite()
allsprites = pygame.sprite.Group()
allsprites.add(sSprite)

while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            exit()
    allsprites.update()
    allsprites.draw(screen)
    pygame.display.update()
